Customizing BricsCAD with Robert Green

Recently, Robert Green uploaded a “how-to” guide, in the Facebook group “BricsCAD Managers Unite!“, on how to make BricsCAD look and feel more like AutoCAD. By setting a few system variables, and defining a few new shortcut commands, you can make this easy transition even easier. The post itself can be found here. If you are not a member of this group, simply apply.

What if you want to automate this for yourself, or even for multiple other people? You can make use of the BricsCAD startup lisp files and include the following code as described below.

;;; This goes in the file "on_Start.lsp"
(setvar "CMDLNTEXT" "Command:")
(setvar "BKGCOLOR" 256)
(setvar "CMDLINELISTBGCOLOR" "#D0D0D0")
(setvar "CMDLINELISTFGCOLOR" "#404040")
(setvar "CMDLINEEDITBGCOLOR" "#D0D0D0")
(setvar "CMDLINEEDITFGCOLOR" "#404040")

(setvar "QUADDISPLAY" -5)
(setvar "SHORTCUTMENU" 7)
(setvar "PROMPTMENU" 4)
(setvar "HOTKEYASSISTANT" 0)
;;; This goes in the file "on_doc_load.lsp"
(command ".undefine" "LAYER")
(defun c:LAYER () (command ".LAYERSPANELOPEN") (princ) )
(defun c:LA () (command ".LAYERSPANELOPEN") (princ) )
(command ".undefine" "XREF")
(defun c:XREF () (command ".ATTACHMENTSPANELOPEN") (princ) )

How are you going to customize BricsCAD next?